Subject: bug#13222: 24.2; C-c C-c in shell mode on OSX sends SIGINT

From: Glenn Morris <[email-masked]>
Date: Sun, 23 Dec 2012 15:12:10 -0500

Jan Djärv wrote:

> The problem exists in 23.  Defining SIGNALS_VIA_CHARACTERS fixes the issue.

Thanks. Any opinion on whether this change should go into emacs-24 or
trunk? Since the issue is present in 23 as well, that suggests trunk.
But if it's a safe fix, might as well go in emacs-24.